%define snap 20111030

Name:             kwebkitpart
Version:          1.2
Release:          0.2.%{snap}%{?dist}
Summary:          A KPart based on QtWebKit
Group:            System Environment/Libraries
License:          LGPLv2+
URL:              https://projects.kde.org/projects/extragear/base/kwebkitpart
%if 0%{?snap}
# git clone git://anongit.kde.org/kwebkitpart
# git archive --prefix=kwebkitpart-%{version}/ origin/%{version} | bzip2 > ../kwebkitpart-%{version}-%{snap}.tar.bz2
Source0:          kwebkitpart-%{version}-%{snap}.tar.bz2
%else
# Official release
Source0:          http://kde-apps.org/CONTENT/content-files/127960-%{name}-%{version}.tar.bz2
%endif

BuildRequires:    gettext
BuildRequires:    kdelibs4-devel >= 4.4.0

%{?_kde4_version:Requires: kdelibs4%{?_isa} >= %{_kde4_version}}

Obsoletes:        kwebkitpart-devel < 1.1
Obsoletes:        webkitpart < 0.0.6
Provides:         webkitpart = %{version}-%{release}

%description
KWebKitPart is a web browser component for KDE (KPart)
based on (Qt)WebKit. You can use it for example for
browsing the web in Konqueror.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT

make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
fi

%files
%defattr(-,root,root,-)
%doc README COPYING.LIB TODO
%{_kde4_libdir}/kde4/kwebkitpart.so
%{_kde4_iconsdir}/hicolor/*/apps/webkit.png
%{_kde4_datadir}/kde4/services/%{name}.desktop
%{_kde4_appsdir}/%{name}

%changelog
* Sun Oct 30 2011 Alexey Kurov <nucleo@fedoraproject.org> - 1.2-0.2.20111030
- kwebkitpart 1.2 20111030 snapshot

* Thu Jul 21 2011 Alexey Kurov <nucleo@fedoraproject.org> - 1.2-0.1.20110720
- kwebkitpart 1.2 20110720 snapshot
- drop kwebkitpart-devel

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 29 2010 jkeating - 0.9.6-2
- Rebuilt for gcc bug 634757

* Sun Jul 25 2010 Alexey Kurov <nucleo@fedoraproject.org> - 0.9.6-1
- kwebkitpart 0.9.6

* Sat May 08 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.0.5-0.4.svn1088283
- revert BR: qt4-webkit-devel, rebuild against newer kdelibs-devel that includes it

* Sat May 08 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.0.5-0.3.svn1088283
- BR: qt4-webkit-devel

* Wed Mar 24 2010 Alexey Kurov <nucleo@fedoraproject.org> - 0.0.5-0.2.svn1088283
- drop webkitkde package
- removed Requires: webkitkde from webkitpart

* Wed Feb 10 2010 Alexey Kurov <nucleo@fedoraproject.org> - 0.0.5-0.1.svn1088283
- update to kwebkitpart snapshot from kdereview

* Wed Feb 10 2010 Alexey Kurov <nucleo@fedoraproject.org> - 0.0.4-0.3.svn1079265
- build only for kdelibs >= 4.4.0

* Sun Jan 24 2010 Alexey Kurov <nucleo@fedoraproject.org> - 0.0.4-0.2.svn1079265
- svn 1079265. Fixed the library and header file names.

* Sat Jan 23 2010 Alexey Kurov <nucleo@fedoraproject.org> - 0.0.4-0.1.svn1078162
- svn 1078162

* Thu Dec  3 2009 Alexey Kurov <nucleo@fedoraproject.org> - 0.0.3-0.2.svn1057318
- svn 1057318

* Tue Nov 24 2009 Alexey Kurov <nucleo@fedoraproject.org> - 0.0.3-0.1.svn1049337
- version changed to 0.0.3 (kdewebkit moved to kdelibs 4.4)
- drop webkitkde-devel subpackage for KDE 4.4

* Wed Nov 18 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.0.2-0.2.20091109svn
- rebuild (qt-4.6.0-rc1, fc13+)

* Mon Nov  9 2009 Alexey Kurov <nucleo@fedoraproject.org> - 0.0.2-0.1.20091109svn
- version changed to 0.0.2 for new API

* Mon Nov  9 2009 Alexey Kurov <nucleo@fedoraproject.org> - 0.0.1-0.6.20091109svn
- removed kdelauncher from CMakeLists because it not installs

* Mon Nov  9 2009 Alexey Kurov <nucleo@fedoraproject.org> - 0.0.1-0.5.20091109svn
- snapshot 1046552 with new API

* Sun Sep 27 2009 Alexey Kurov <nucleo@fedoraproject.org> - 0.0.1-0.2.20090924svn
- webkitpart should owns kpartplugins in webkitpart apps dir

* Thu Sep 24 2009 Alexey Kurov <nucleo@fedoraproject.org> - 0.0.1-0.1.20090924svn
- Initial RPM release
